# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-odbc
Version:        2.0.39
Release:        1%{?dist}
Summary:        Python DB API 2.0 Module for ODBC

Group:          Development/Languages
License:        MIT
URL:            http://pyodbc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pyodbc/pyodbc-%{version}.zip
Patch0:         pyodbc-gccprivate.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildArch:      
BuildRequires:  python-devel

%description
A Python DB API 2 module for ODBC. This project provides an up-to-date,
convenient interface to ODBC using native data types like datetime and
decimal.


%prep
%setup -q -n pyodbc-%{version}
%patch0 -p1


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.PY build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.PY install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt
# For arch-specific packages: sitearch
%{python_sitearch}/*


%changelog
* Fri Nov 16 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 2.0.39-1
- Initial release.
- applied patch for new gcc
